## qt6-webview 6.2.4

=== src/plugins/android/CMakeLists.txt ===
#####################################################################
## QAndroidWebViewPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QAndroidWebViewPlugin
    OUTPUT_NAME qtwebview_android
    PLUGIN_TYPE webview
    SOURCES
        qandroidwebview.cpp qandroidwebview_p.h
        qandroidwebviewplugin.cpp
    LIBRARIES
        jnigraphics
        Qt::CorePrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::WebViewPrivate
)

=== src/plugins/darwin/CMakeLists.txt ===
#####################################################################
## QDarwinWebViewPlugin Plugin:
#####################################################################

find_library(FWWebKit WebKit)
find_library(FWAppKit AppKit)
find_library(FWUIKit UIKit)
find_library(FWFoundation FoundationKit)

qt_internal_add_plugin(QDarwinWebViewPlugin
    OUTPUT_NAME qtwebview_darwin
    PLUGIN_TYPE webview
    SOURCES
        qdarwinwebview.mm qdarwinwebview_p.h
        qdarwinwebviewplugin.cpp
    LIBRARIES
        ${FWFoundation}
        ${FWWebKit}
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::WebViewPrivate
)

qt_internal_extend_target(QDarwinWebViewPlugin CONDITION MACOS
    LIBRARIES
        ${FWAppKit}
)

qt_internal_extend_target(QDarwinWebViewPlugin CONDITION IOS
    LIBRARIES
        ${FWUIKit}
)

=== src/plugins/webengine/CMakeLists.txt ===
#####################################################################
## QWebEngineWebViewPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWebEngineWebViewPlugin
    OUTPUT_NAME qtwebview_webengine
    PLUGIN_TYPE webview
    SOURCES
        qwebenginewebview.cpp qwebenginewebview_p.h
        qwebenginewebviewplugin.cpp
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::WebEngineCorePrivate
        Qt::WebEngineQuickPrivate
        Qt::WebViewPrivate
        Qt::WebViewQuickPrivate
)

=== tests/auto/cmake/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.16)

project(qmake_cmake_files)

enable_testing()

find_package(Qt5Core REQUIRED)

include("${_Qt5CTestMacros}")

test_module_includes(
  WebView QWebView
)

=== debian/changelog ===
qt6-webview (6.2.4-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable architectures armhf and i386 for qt6-webview.

 -- Patrick Franz <deltaone@debian.org>  Mon, 11 Apr 2022 19:06:05 +0200

qt6-webview (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Apr 2022 01:48:32 +0200

qt6-webview (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:24:48 +0100

qt6-webview (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit build to amd64 and arm64 as qt6-webengine is only available on
    those architectures.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Feb 2022 10:45:36 +0100

qt6-webview (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #1000168)

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jan 2022 20:23:22 +0100

=== debian/control ===
Source: qt6-webview
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xkb-dev,
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
               qt6-webengine-dev (>= 6.2.4+dfsg~),
               qt6-webengine-dev-tools (>= 6.2.4+dfsg~),
               qt6-webengine-private-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview.git
Rules-Requires-Root: no

Package: libqt6webview6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebView library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the Qt 6 WebView library.

Package: libqt6webviewquick6
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebView Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the Qt 6 WebView Quick library.

Package: qt6-webview-plugins
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 WebView plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains Qt 6 WebView plugins.

Package: qml6-module-qtwebview
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: qml6-module-qtwebengine, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 WebView QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the Qt 6 WebView QML module.

Package: qt6-webview-dev
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Section: libdevel
Depends: libqt6webview6 (= ${binary:Version}),
         libqt6webviewquick6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-webview-plugins (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 WebView - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt WebView provides a way to display web content in a QML application
 without necessarily including a full web browser stack by using
 native APIs where it makes sense.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Qt WebView library.

## qt6-webview 6.3.1

=== debian/changelog ===
qt6-webview (6.3.1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 08 Sep 2022 20:04:22 -0300

qt6-webview (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:24:18 +0200

qt6-webview (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Jul 2022 19:58:31 +0200

qt6-webview (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 20 Jun 2022 02:39:41 +0200

qt6-webview (6.2.4-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 17:17:44 -0300

qt6-webview (6.2.4-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:08:11 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
-               qt6-webengine-dev (>= 6.2.4+dfsg~),
-               qt6-webengine-dev-tools (>= 6.2.4+dfsg~),
-               qt6-webengine-private-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qt6-webengine-dev (>= 6.3.1+dfsg~),
+               qt6-webengine-dev-tools (>= 6.3.1+dfsg~),
+               qt6-webengine-private-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview.git

## qt6-webview 6.4.1

=== debian/changelog ===
qt6-webview (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 00:55:26 +0100

qt6-webview (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:38:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
-               qt6-webengine-dev (>= 6.3.1+dfsg~),
-               qt6-webengine-dev-tools (>= 6.3.1+dfsg~),
-               qt6-webengine-private-dev (>= 6.3.1+dfsg~),
+               qml6-module-qtwebengine (>= 6.4.1+dfsg~),
+               qml6-module-qtwebengine-controlsdelegates (>= 6.4.1+dfsg~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
+               qt6-webengine-dev (>= 6.4.1+dfsg~),
+               qt6-webengine-dev-tools (>= 6.4.1+dfsg~),
+               qt6-webengine-private-dev (>= 6.4.1+dfsg~),
 Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview

## qt6-webview 6.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(QtWebView
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt WebView Libraries"
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS Gui Qml Quick OpenGL
    WebEngineCore WebEngineQuick
)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

if(QNX)
    message(NOTICE "Skipping the build as the condition \"NOT QNX\" is not met.")
    return()
endif()

if(NOT QT_FEATURE_gui)
    message(NOTICE "Skipping the build as the condition \"QT_FEATURE_gui\" is not met.")
    return()
endif()
qt_build_repo()

=== tests/CMakeLists.txt ===
if(QT_BUILD_STANDALONE_TESTS)
find_package(Qt6 ${PROJECT_VERSION} CONFIG OPTIONAL_COMPONENTS WebEngineCore WebEngineQuick)
endif()
if((LINUX OR WIN32) AND NOT TARGET Qt::WebEngineQuick) # desktop platform without webengine
    return()
endif()
qt_build_tests()

=== src/plugins/CMakeLists.txt ===
if(ANDROID)
    add_subdirectory(android)
endif()
if(NOT ANDROID AND (IOS OR MACOS))
    add_subdirectory(darwin)
endif()
if(WINRT)
    add_subdirectory(winrt)
endif()
if(TARGET Qt::WebEngineCore)
    add_subdirectory(webengine)
endif()

=== src/plugins/android/CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
     LIBRARIES
         jnigraphics
         Qt::CorePrivate
-    PUBLIC_LIBRARIES
         Qt::Core
         Qt::Gui
         Qt::WebViewPrivate

=== src/plugins/darwin/CMakeLists.txt ===
--- 
+++ 
@@ -16,9 +16,9 @@
     LIBRARIES
         ${FWFoundation}
         ${FWWebKit}
-    PUBLIC_LIBRARIES
         Qt::Core
         Qt::Gui
+        Qt::Quick
         Qt::WebViewPrivate
 )

=== tests/auto/qml/qquickwebview/CMakeLists.txt ===
#####################################################################
## tst_qquickwebview Binary:
#####################################################################

qt_internal_add_test(tst_qquickwebview
    SOURCES
        util.h testwindow.h
        tst_qquickwebview.cpp
    LIBRARIES
        Qt::Quick
        Qt::WebViewPrivate
        Qt::WebViewQuickPrivate
)

set(testdata_resource_files
    "html/basic_page.html"
    "html/basic_page2.html"
    "html/direct-image-compositing.html"
    "html/inputmethod.html"
    "html/scroll.html"
    "html/cookies.html"
)

qt_internal_add_resource(tst_qquickwebview "testdata"
    PREFIX
        "/"
    BASE
        "html"
    FILES
        ${testdata_resource_files}
)
set(testdata1_resource_files
    "html/resources/simple_image.png"
)

qt_internal_add_resource(tst_qquickwebview "testdata1"
    PREFIX
        "/resources"
    BASE
        "html"
    FILES
        ${testdata1_resource_files}
)

qt_internal_extend_target(tst_qquickwebview CONDITION TARGET Qt::WebEngineQuick
    DEFINES
        QT_WEBVIEW_WEBENGINE_BACKEND
)

=== debian/changelog ===
qt6-webview (6.4.2-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:49:09 +1100

qt6-webview (6.4.2-6build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:02:45 +0000

qt6-webview (6.4.2-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit qt6-webview-examples to architectures where it can be built.

 -- Patrick Franz <deltaone@debian.org>  Wed, 02 Aug 2023 15:49:23 +0200

qt6-webview (6.4.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix build failure for arch:all.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jul 2023 22:39:06 +0200

qt6-webview (6.4.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 27 Jul 2023 20:28:28 +0200

qt6-webview (6.4.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.
  * Add binary package for examples (Closes: #1042348).
  * Add binary packages for documentation.

 -- Patrick Franz <deltaone@debian.org>  Wed, 26 Jul 2023 23:46:21 +0200

qt6-webview (6.4.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne.

 -- Patrick Franz <deltaone@debian.org>  Thu, 15 Jun 2023 22:09:31 +0200

qt6-webview (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Jan 2023 20:14:22 +0100

qt6-webview (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:59:36 +0100

qt6-webview (6.4.2~rc1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:29:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,30 @@
 Source: qt6-webview
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
-               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtwebengine (>= 6.4.1+dfsg~),
-               qml6-module-qtwebengine-controlsdelegates (>= 6.4.1+dfsg~),
-               qt6-base-dev (>= 6.4.1+dfsg~),
-               qt6-base-private-dev (>= 6.4.1+dfsg~),
-               qt6-declarative-dev (>= 6.4.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
-               qt6-webengine-dev (>= 6.4.1+dfsg~),
-               qt6-webengine-dev-tools (>= 6.4.1+dfsg~),
-               qt6-webengine-private-dev (>= 6.4.1+dfsg~),
-Standards-Version: 4.6.1
+               qml6-module-qtwebengine (>= 6.4.2+dfsg~),
+               qml6-module-qtwebengine-controlsdelegates (>= 6.4.2+dfsg~),
+               qt6-base-dev (>= 6.4.2+dfsg~),
+               qt6-base-private-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-dev (>= 6.4.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
+               qt6-webengine-dev (>= 6.4.2+dfsg~),
+               qt6-webengine-dev-tools (>= 6.4.2+dfsg~),
+               qt6-webengine-private-dev (>= 6.4.2+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview.git
@@ -108,3 +110,36 @@
  .
  This package contains the development files needed to build Qt 6 applications
  using the Qt WebView library.
+
+Package: qt6-webview-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc, ${misc:Depends},
+Description: Qt 6 WebView documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the documentation for Qt 6 WebView.
+
+Package: qt6-webview-doc-html
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: qt6-base-doc-html, ${misc:Depends},
+Description: Qt 6 WebView HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the HTML documentation for Qt 6 WebView.
+
+Package: qt6-webview-examples
+Architecture: amd64 arm64 armhf i386
+Multi-Arch: same
+Section: misc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 WebView examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for the Qt WebView submodule.

## qt6-webview 6.6.1

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: qt6-webview
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
@@ -13,17 +12,15 @@
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtwebengine (>= 6.4.2+dfsg~),
-               qml6-module-qtwebengine-controlsdelegates (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
-               qt6-webengine-dev (>= 6.4.2+dfsg~),
-               qt6-webengine-dev-tools (>= 6.4.2+dfsg~),
-               qt6-webengine-private-dev (>= 6.4.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+               qt6-base-dev (>= 6.6.1+dfsg~),
+               qt6-base-private-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-dev (>= 6.6.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+               qt6-webengine-dev (>= 6.6.1+dfsg~),
+               qt6-webengine-dev-tools (>= 6.6.1+dfsg~),
+               qt6-webengine-private-dev (>= 6.6.1+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview
@@ -33,8 +30,8 @@
 Package: libqt6webview6
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends},
 Description: Qt 6 WebView library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -45,26 +42,11 @@
  .
  This package contains the Qt 6 WebView library.
 
-Package: libqt6webviewquick6
-Architecture: amd64 arm64 armhf i386
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: Qt 6 WebView Quick library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- Qt WebView provides a way to display web content in a QML application
- without necessarily including a full web browser stack by using
- native APIs where it makes sense.
- .
- This package contains the Qt 6 WebView Quick library.
-
 Package: qt6-webview-plugins
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends},
+Depends: fontconfig, ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebView plugins
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -78,8 +60,10 @@
 Package: qml6-module-qtwebview
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: qml6-module-qtwebengine, ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends: qml6-module-qtwebengine, ${misc:Depends}, ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends},
+Breaks: libqt6webviewquick6,
+Replaces: libqt6webviewquick6,
 Description: Qt 6 WebView QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -95,7 +79,6 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webview6 (= ${binary:Version}),
-         libqt6webviewquick6 (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          qt6-webview-plugins (= ${binary:Version}),

## qt6-webview 6.6.2

=== debian/changelog ===
qt6-webview (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:48:58 +0200

qt6-webview (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 20:16:09 +0100

qt6-webview (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove binary package libqt6webviewquick6.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Dec 2023 06:48:44 +0100

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,15 @@
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
-               qt6-webengine-dev (>= 6.6.1+dfsg~),
-               qt6-webengine-dev-tools (>= 6.6.1+dfsg~),
-               qt6-webengine-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-webengine-dev (>= 6.6.2+dfsg~),
+               qt6-webengine-dev-tools (>= 6.6.2+dfsg~),
+               qt6-webengine-private-dev (>= 6.6.2+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                      qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2

## qt6-webview 6.7.2

=== debian/changelog ===
qt6-webview (6.7.2-4) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Enable QML detection for examples package.

  [ Patrick Franz ]
  * Fix dependencies for the private symbols.
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Nov 2024 00:07:52 +0100

qt6-webview (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:15:16 +0200

qt6-webview (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 14:54:42 +0200

qt6-webview (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Sep 2024 10:52:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,25 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-               qt6-webengine-dev (>= 6.6.2+dfsg~),
-               qt6-webengine-dev-tools (>= 6.6.2+dfsg~),
-               qt6-webengine-private-dev (>= 6.6.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-webengine-dev (>= 6.7.2+dfsg~),
+               qt6-webengine-dev-tools (>= 6.7.2+dfsg~),
+               qt6-webengine-private-dev (>= 6.7.2+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview.git
@@ -60,7 +62,9 @@
 Package: qml6-module-qtwebview
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: qml6-module-qtwebengine, ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
 Breaks: libqt6webviewquick6,
 Replaces: libqt6webviewquick6,
@@ -79,6 +83,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webview6 (= ${binary:Version}),
+         qml6-module-qtwebview (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          qt6-webview-plugins (= ${binary:Version}),
@@ -120,7 +125,7 @@
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebView examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-webview 6.8.0

=== debian/changelog ===
qt6-webview (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Fri, 08 Nov 2024 14:13:00 +0800

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,23 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-webengine-dev (>= 6.7.2+dfsg~),
-               qt6-webengine-dev-tools (>= 6.7.2+dfsg~),
-               qt6-webengine-private-dev (>= 6.7.2+dfsg~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-webengine-dev (>= 6.6.0+dfsg~),
+               qt6-webengine-dev-tools (>= 6.6.0+dfsg~),
+               qt6-webengine-private-dev (>= 6.6.0+dfsg~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview.git
@@ -62,9 +60,7 @@
 Package: qml6-module-qtwebview
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: qml6-module-qtwebengine, ${misc:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
 Breaks: libqt6webviewquick6,
 Replaces: libqt6webviewquick6,
@@ -83,7 +79,6 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webview6 (= ${binary:Version}),
-         qml6-module-qtwebview (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          qt6-webview-plugins (= ${binary:Version}),
@@ -125,7 +120,7 @@
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebView examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-webview 6.8.1

=== debian/changelog ===
qt6-webview (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 00:35:49 -0600

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: qt6-webview
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-webengine-dev (>= 6.6.0+dfsg~),
-               qt6-webengine-dev-tools (>= 6.6.0+dfsg~),
-               qt6-webengine-private-dev (>= 6.6.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-webengine-dev (>= 6.8.1+dfsg~),
+               qt6-webengine-dev-tools (>= 6.8.1+dfsg~),
+               qt6-webengine-private-dev (>= 6.8.1+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-webview.git
@@ -60,7 +63,7 @@
 Package: qml6-module-qtwebview
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: qml6-module-qtwebengine, ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
 Breaks: libqt6webviewquick6,
 Replaces: libqt6webviewquick6,
@@ -79,6 +82,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6webview6 (= ${binary:Version}),
+         qml6-module-qtwebview (= ${binary:Version}),
          qt6-base-dev,
          qt6-declarative-dev,
          qt6-webview-plugins (= ${binary:Version}),
@@ -120,7 +124,7 @@
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Section: misc
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 WebView examples
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-webview 6.8.2

=== src/plugins/android/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 #####################################################################
 ## QAndroidWebViewPlugin Plugin:
 #####################################################################

=== tests/auto/qml/CMakeLists.txt ===
add_subdirectory(qquickwebview)

=== tests/auto/webview/qwebview/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## tst_qwebview Test:
#####################################################################

qt_internal_add_test(tst_qwebview
    SOURCES
        tst_qwebview.cpp
    LIBRARIES
        Qt::Gui
        Qt::WebViewPrivate
)

qt_internal_extend_target(tst_qwebview CONDITION TARGET Qt::WebViewQuick
    DEFINES
        QT_QQUICKWEBVIEW_TESTS
    LIBRARIES
        Qt::WebViewQuickPrivate
        Qt::Qml
)

qt_internal_extend_target(tst_qwebview CONDITION TARGET Qt::WebEngineQuick
    DEFINES
        QT_WEBVIEW_WEBENGINE_BACKEND
    LIBRARIES
        Qt::WebEngineQuickPrivate
        Qt::Qml
)

=== debian/changelog ===
qt6-webview (6.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:34:50 +0100

qt6-webview (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 18:41:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qt6-webview
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                libgl-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
@@ -15,13 +14,13 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
-               qt6-webengine-dev (>= 6.8.1+dfsg~),
-               qt6-webengine-dev-tools (>= 6.8.1+dfsg~),
-               qt6-webengine-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-webengine-dev (>= 6.8.2+dfsg~),
+               qt6-webengine-dev-tools (>= 6.8.2+dfsg~),
+               qt6-webengine-private-dev (>= 6.8.2+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
@@ -63,7 +62,9 @@
 Package: qml6-module-qtwebview
 Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Pre-Depends: ${misc:Pre-Depends},
 Breaks: libqt6webviewquick6,
 Replaces: libqt6webviewquick6,

=== debian/watch ===
version=4
https://download.qt.io/archive/qt/([\d\.]*)/([\d\.]*)/submodules/qtwebview-everywhere-src-(.*)\.tar\.xz

## qt6-webview 6.8.3

=== src/webview/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## WebView Module:
#####################################################################

qt_internal_add_module(WebView
    PLUGIN_TYPES webview
    DEPENDENCIES
        QtQuick/auto
    SOURCES
        qabstractwebview_p.h
        qnativeviewcontroller_p.h
        qtwebviewfunctions.cpp qtwebviewfunctions.h
        qwebview.cpp qwebview_p.h
        qwebview_global.h
        qwebviewfactory.cpp qwebviewfactory_p.h
        qwebviewinterface_p.h
        qwebviewloadrequest.cpp qwebviewloadrequest_p.h
        qwebviewplugin.cpp qwebviewplugin_p.h
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
    PRIVATE_MODULE_INTERFACE
        Qt::CorePrivate
        Qt::GuiPrivate
    NO_GENERATE_CPP_EXPORTS
)

qt_internal_extend_target(WebView CONDITION WIN32 AND TARGET Qt::WebEngineQuick
    PUBLIC_LIBRARIES
        Qt::WebEngineQuick
    DEFINES
        QTWEBVIEW_LINK_WEBENGINE
)

if(ANDROID)
    set_property(TARGET WebView APPEND PROPERTY QT_ANDROID_BUNDLED_JAR_DEPENDENCIES
        jar/QtAndroidWebView.jar
    )
    set_property(TARGET WebView APPEND PROPERTY QT_ANDROID_LIB_DEPENDENCIES
        ${INSTALL_PLUGINSDIR}/webview/libplugins_webview_qtwebview_android.so
    )
    set_property(TARGET WebView APPEND PROPERTY QT_ANDROID_PERMISSIONS
        android.permission.ACCESS_FINE_LOCATION
    )
endif()
qt_internal_add_docs(WebView
    doc/qtwebview.qdocconf
)

=== debian/changelog ===
qt6-webview (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:31:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-webview
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -14,13 +15,13 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
-               qt6-webengine-dev (>= 6.8.2+dfsg~),
-               qt6-webengine-dev-tools (>= 6.8.2+dfsg~),
-               qt6-webengine-private-dev (>= 6.8.2+dfsg~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-webengine-dev (>= 6.8.3+dfsg~),
+               qt6-webengine-dev-tools (>= 6.8.3+dfsg~),
+               qt6-webengine-private-dev (>= 6.8.3+dfsg~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
